Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718232 - app-misc/khard: need py3.7, 3.8 port
Summary: app-misc/khard: need py3.7, 3.8 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andriy Utkin
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-04-19 13:16 UTC by Michał Górny
Modified: 2020-08-30 13:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-19 13:16:16 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this mgorny@pomiot.
Comment 1 Larry the Git Cow gentoo-dev 2020-08-02 20:33:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0667adfa7f4d72886d3ed8c9272713a43fc391cf

commit 0667adfa7f4d72886d3ed8c9272713a43fc391cf
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-08-02 20:32:21 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-08-02 20:33:15 +0000

    app-misc/khard: port to py3{7,8}
    
    Closes: https://bugs.gentoo.org/718232
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 app-misc/khard/khard-0.13.0.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
Comment 2 Larry the Git Cow gentoo-dev 2020-08-30 13:48:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=712608c6c116e1395b0e6539a2620fe14ba41743

commit 712608c6c116e1395b0e6539a2620fe14ba41743
Author:     Nils Freydank <nils.freydank@posteo.de>
AuthorDate: 2020-08-15 12:57:03 +0000
Commit:     Andrey Utkin <andrey_utkin@gentoo.org>
CommitDate: 2020-08-30 13:47:53 +0000

    app-misc/khard: Bump to 0.17.0
    
    This commit adds support for python 3.7 to 3.9 and does some internal changes:
    - drop explicit dep for >dev-python/vobject-0.9.3 as a working version
      was introduced to the tree in december 2017. For details see commit
      17e2b60acb7049e925c1d65116dbb4edf16e820e.
    
    - don't call external test but use the [[ ]] bashism, so globbing for
      version works ("*9999").
    
    - add dep for dev-python/setuptools_scm for tests
    
    Bug: https://bugs.gentoo.org/718232
    Closes: https://bugs.gentoo.org/721832
    Thanks-to: Christopher Head <chead@chead.ca>
    Package-Manager: Portage-3.0.2, Repoman-2.3.23
    Signed-off-by: Nils Freydank <holgersson@posteo.de>
    Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>

 app-misc/khard/Manifest            |  1 +
 app-misc/khard/khard-0.17.0.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)